Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.login
Class LoginModuleManager

    java.lang.Object
      |
      +--javax.security.auth.login.Configuration
            |
            +--oracle.security.jazn.login.LoginModuleManager

public abstract class LoginModuleManager
extends Configuration

This module extends `javax.security.auth.login.Configuration` by defining management methods (add/removeAppConfigurationEntry).

Method Summary
`void` | `addAppConfigurationEntry(String applicationName, AppConfigurationEntry newAppConfigEntry)` Adds a new `AppConfigurationEntry` to the specified application.
`AppConfigurationEntry[]` | `getAppConfigurationEntry(String applicationName)` Retrieves an array of `AppConfigurationEntry` which corresponds to the configuration of LoginModules for this application.
`AppConfigurationEntry` | `getAppConfigurationEntry(String applicationName, String loginModuleName)` Retrieves an `AppConfigurationEntry` which corresponds to the given LoginModule for this application.
`AppConfigurationEntry[]` | `getApplicationConfigurationEntry(String applicationName)` Retrieves an array of `AppConfigurationEntry` which corresponds to the configuration of LoginModules for this application.
`ArrayList` | `getApplicationNames()` Retrieves a String arrayList of application names for which LoginModules have been configured.
`void` | `refresh()` Refreshes and reload the Configuration.
`void` | `removeAppConfigurationEntry(String applicationName, String loginModuleName)` Removes an `AppConfigurationEntry` from the specified application.
`void` | `removeApplication(String applicationName)` Removes an application from the repository.
`void` | `updateAppConfigurationEntry(String applicationName, String loginModuleName, AppConfigurationEntry.LoginModuleControlFlag controlFlag, Map options)` Updates an `AppConfigurationEntry` of the specified application.

Methods inherited from class javax.security.auth.login.Configuration
`getConfiguration, setConfiguration`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAppConfigurationEntry

    public AppConfigurationEntry[] getAppConfigurationEntry(String applicationName)

  Retrieves an array of `AppConfigurationEntry` which corresponds to the configuration of LoginModules for this application.
  Specified by:
    `getAppConfigurationEntry` in class `Configuration`
  Parameters:
    `applicationName` - the name of the application.

### getApplicationConfigurationEntry

    public AppConfigurationEntry[] getApplicationConfigurationEntry(String applicationName)

  Retrieves an array of `AppConfigurationEntry` which corresponds to the configuration of LoginModules for this application.
  Parameters:
    `applicationName` - the name of the application.

### getAppConfigurationEntry

    public AppConfigurationEntry getAppConfigurationEntry(String applicationName,
    String loginModuleName)

  Retrieves an `AppConfigurationEntry` which corresponds to the given LoginModule for this application.
  Parameters:
    `applicationName` - the name of the application.
    `loginModuleName` - the name of the login module.

### getApplicationNames

    public ArrayList getApplicationNames()

  Retrieves a String arrayList of application names for which LoginModules have been configured.

### refresh

    public void refresh()

  Refreshes and reload the Configuration.
  Specified by:
    `refresh` in class `Configuration`

### addAppConfigurationEntry

    public void addAppConfigurationEntry(String applicationName,
    AppConfigurationEntry newAppConfigEntry)
                                  throws JAZNException

  Adds a new `AppConfigurationEntry` to the specified application.
  Parameters:
    `applicationName` - the specified application
    `newAppConfigEntry` - the new entry to be associated with the application
    `JAZNException`

### updateAppConfigurationEntry

    public void updateAppConfigurationEntry(String applicationName,
    String loginModuleName,
    AppConfigurationEntry.LoginModuleControlFlag controlFlag,
    Map options)
                                     throws JAZNException

  Updates an `AppConfigurationEntry` of the specified application.
  Parameters:
    `applicationName` - the specified application
    `loginModuleName` - the login module whose entry is to be updated
    `controlFlag` - the value to be updated
    `options` - the the value to be updated
    `JAZNException`

### removeAppConfigurationEntry

    public void removeAppConfigurationEntry(String applicationName,
    String loginModuleName)
                                     throws JAZNException

  Removes an `AppConfigurationEntry` from the specified application.
  Parameters:
    `applicationName` - the specified application
    `loginModuleName` - the login module whose entry is to be removed
    `JAZNException`

### removeApplication

    public void removeApplication(String applicationName)
                           throws JAZNException

  Removes an application from the repository.
  Parameters:
    `applicationName` - the name of the application to be removed.
    `JAZNException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.